1

Closed

JintEngine.Run(Program, bool) discards root exception when processing catch(Exception e)

description

In the catch(Exception e) block of JintEngine.Run(), a new JintException() is generated which is:
throw new JintException(e.Message + source + stackTrace, e.InnerException);
but this throws away 'e' and makes e.InnerException the inner exception for the new JintException. This should be:
throw new JintException(e.Message + source + stackTrace, e);
Closed Oct 3, 2014 at 6:43 PM by sebastienros
Jint has been rewritten and this issue should be fixed in the new version. Please check it on https://github.com/sebastienros/jint or on using the nuget package here: https://www.nuget.org/packages/Jint/

comments